#!/bin/sh
APPS_NAME="dropbear"
if [ -e sysconfig.sh ]; then
	. sysconfig.sh
	. config.sh
	. model_config.sh
else
	echo "Application "$APPS_NAME" not configured"
	exit 1;
fi

display_info "----------------------------------------------------------------------"
display_info "-----------------------  dropbear  ----------------------"
display_info "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	rm -rf .config_ok
	make distclean
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

#if [ "$1" = "config_only" -a ! -f .config_ok -o $BUILD_CONFIGURE -eq 1 ]; then
if [  ! -f .config_ok ]; then
	#make distclean
	display_info "CONFIGURING"
	AR=${IFX_AR} AS=${IFX_AS} LD=${IFX_LD} NM=${IFX_NM} CC=${IFX_CC} BUILDCC=${IFX_HOSTCC} CXX=${IFX_CXX} RANLIB=${IFX_RANLIB} OBJCOPY=${IFX_OBJCOPY} OBJDUMP=${IFX_OBJDUMP} STRIP=${IFX_STRIP} TARGET=${TARGET} BUILD=${BUILD} HOST=${HOST} KERNEL_SOURCE_DIR=${KERNEL_SOURCE_DIR} CFLAGS=${IFX_CFLAGS} LDFLAGS=${IFX_LDFLAGS}  ./configure --target=${TARGET} --host=${HOST} --build=${BUILD} --prefix=/usr --with-linux=${KERNEL_SOURCE_DIR}/include --disable-zlib --disable-shadow --disable-lastlog --disable-utmp --disable-utmpx --disable-wtmp --disable-wtmpx --disable-loginfunc --disable-pututline --disable-pututxline
	ifx_error_check $? 
	echo -n > .config_ok
fi

if [ "$1" = "config_only" ] ;then
	exit 0
fi

# make IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" AR=${IFX_AR} RANLIB=${IFX_RANLIB} PROGRAMS="dropbear dropbearkey" MULTI=1 STATIC=0
# ifx_error_check $? 

#make strip
#ifx_error_check $? 

#make installmulti DESTDIR=${BUILD_ROOTFS_DIR}
make IFX_CFLAGS="${IFX_CFLAGS}" IFX_LDFLAGS="${IFX_LDFLAGS}" AR=${IFX_AR} RANLIB=${IFX_RANLIB} \
    PROGRAMS="dropbear dropbearkey" insdbmulti DESTDIR=${BUILD_ROOTFS_DIR} \
    MULTI=1 STATIC=0

ifx_error_check $? 

display_info "REMEMBER: links to single programs are done here"
display_info "If you change the PROGRAMS built here, please edit this file"
cd ${BUILD_ROOTFS_DIR}/usr/bin
ln -s dropbearmulti dropbearkey
cd ${BUILD_ROOTFS_DIR}/usr/sbin
ln -s ../bin/dropbearmulti dropbear
